* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    scroll-behavior: smooth;
    font-family: "Poppins";
}
:root {
    --bg-color: #010213;
    --second-color: #101010;
    --text-color: white;
    --main-color: orange;
}
html {
    background: var(--bg-color);
    color: var(--text-color);
}
header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 2rem 15%;
    background: rgba(0, 0, 0, 0.3);
    backdrop-filter: blur(10px);
    display: flex;
    justify-content: space-between;
    z-index: 1000;
}
#menu-icon {
    font-size: 3.5rem;
    color: var(--main-color);
    display: none;
}
#close-icon {
    font-size: 3.5rem;
    color: var(--main-color);
    display: none;
}
.logo {
    font-size: 3rem;
    color: var(--text-color);
    font-weight: 800;
    cursor: pointer;
    transform: 0.3s ease-in-out;
}
.logo.hover {
    transform: scale(1.1);
}
.span1 {
    background: linear-gradient(
        270deg,
        #ff0404 10%,
        #ffdd1d 100%
    );
    background-clip: text;
    color: transparent;
}
.navbar {
    font-size: 1.8rem;
    min-height: 20px;
    color: var(--text-color);
    margin-left: 4rem;
    font-weight: 500;
    transition: 0.3s ease-in-out;
    border-bottom: 3px transparent;
}
.navbar a {
    color: var(--text-color);
}
.navbar a:hover {
    color: var(--main-color);
    border-bottom: 3px solid var(--main-color);
}

section {
    min-height: 100vh;
    padding: 10rem 15%;
}
.home {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 15rem;

}
.home-content {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    text-align: right;
}
.home-content h2 {
    font-size: 8rem;
    font-weight: 700;
    margin-top: 1.5rem;
    line-height: 1;
}
.home-content h3 {
    margin: 1rem 0;
    font-size: 4rem;
}
.home-content p {
    font-size: 1.5rem;
    font-weight: 500;
    line-height: 1.8;
}
.home-image img {
    width: 42vw;
    border-radius: 50%;
    box-shadow: 0 0 30px var(--main-color);
    transition: 0.4s ease-in-out;
}
.home-image img:hover {
    box-shadow: 0 0 25px var(--main-color),0 0 55px var(--main-color),0 0 100px var(--main-color);
}
.social-icons a{
    display: inline-flex;
    justify-content: center;
    align-items: center;
    font-size: 3rem;
    padding: 1rem;
    background: transparent;
    border: 2px solid var(--main-color);
    border-radius: 50%;
    color: var(--main-color);
    margin: 3rem 0.5rem;
    transition: 0.3s ease-in-out;
}
.social-icons a:hover {
    background: var(--main-color);
    color: var(--bg-color);
    transform: scale(1.2)translateY(-5px);
    box-sizing: 0 0 25px var(--main-color);
}
.btn-group {
    display: flex;
    gap: 1.5rem;
}
.btn {
    display: inline-block;
    padding: 1rem 3rem;
    background-color: var(--main-color);
    box-shadow: 0 0 25px var(--main-color);
    border-radius: 3rem;
    font-size: 1.8rem;
    color: var(--bg-color);
    font-weight: 800;
    transition: 0.3s ease-in-out;

}
.btn:hover {
    transform: scale(1.05);
    box-shadow: 0 0 35px var(--main-color);
}
.btn1 {
    background-color: var(--bg-color);
    color: var(--main-color);
    border: 2px solid var(--main-color);
    box-shadow: 0 0 25px var(--main-color);
}
.btn1:hover:hover {
    background-color: var(--main-colorcolor);
    color: var(--bg-color-color);
    box-shadow: 0 0 35px var(--main-color);
}

.about {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10rem;
    background: var(--second-color);
}
.about-img img {
    width: 34vw;
    height: fit-content;
    border-radius: 30%;
    box-shadow: 0 0 30px var(--main-color);
    transition: 0.4s ease-in-out;
}
.about-img img:hover {
    box-shadow: 0 0 25px var(--main-color),0 0 55px var(--main-color),0 0 100px var(--main-color);
}
.about-content h2 {
    font-size: 7rem;
    text-align: left;

}
.about-content p {
    font-size: 1.2rem;
}
.about-content .btn{
    margin: 3rem 0;
}
::-webkit-scrollbar {
    width: 20px;
}
::-webkit-scrollbar-thumb {
    background: var(--main-color);
}
::-webkit-scrollbar-track {
    background: var(--bg-color);
    border-radius: 10px;
}
::-webkit-scrollbar-thumb:hover {
    background: var(--main-color);
}

.heading {
    text-align: center;
    font-size: 7rem;
    margin: 5rem 0;
}
.skills {
    background-color: var(--bg-color);
    color: black;
}
.skills h2 {
    color: var(--text-color);
}
.skills-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    gap: 2.5rem;
    align-items: center;
}
.skill-box {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--main-color);
    height: 600px;
    border-radius: 3rem;
    cursor: pointer;
    border: 5px solid transparent;
    transition: 0.3s ease-in-out;
}
.skill-box:hover {
    background: var(--bg-color);
    color: var(--main-color);
    border: 5px solid var(--main-color);
    transform: scale(1.05);
}
.skill-info {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    justify-content: center;
    padding: 5rem;
}
.skill-info h4 {
    font-size: 3rem;
    margin: 2rem 0;
    font-weight: 600;
}
.skill-info p {
    font-size: 1.4rem;
    font-weight: 400;
    line-height: 1.8;
}
.skill-box i {
    font-size: 7rem;
}
.projects {
    background-color: var(--second-color);
}
.projects-box {
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(300px,1fr));
    place-items: center;
    gap: 3rem;
    row-gap: 5rem;

}
.project-card {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    background-color: var(--bg-color);
    border: 2px solid var(--main-color);
    border-radius: 3rem;
    gap: 2rem;
    padding: 5rem 2rem;
    overflow: hidden;
    cursor: pointer;
    box-shadow: 0 0 5px var(--main-color);
    transition: 0.3s ease;

}
.project-card:hover {
    transform: scale(1.02);
    box-shadow: 0 0 25px var(--main-color),0 0 50px var(--main-color);
}
.project-card img {
    width: 300px;
    object-fit: cover;
    border-radius: 2rem;
}
.project-card h4{
    font-size: 2.5rem;
}
.project-card p {
    font-size: 1.4rem;
    line-height: 1.8;
}

.contact {
    background-color: var(--bg-color);
}
.contact h2 {
    margin-bottom: 3rem;
    color: var(--text-color);
}
.contact-form {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 2rem;
    margin: 3rem 0;
    text-align: center;
}
.contact form .input-box input,
.contact form .input-box textarea {
    width: 100%;
    padding: 1.5rem;
    font-size: 1.5rem;
    color: var(--text-color);
    background-color: var(--second-color);
    border-radius: 2rem;
    border: 2px solid var(--main-color);
    margin: 1.5rem 0;
    resize: none;
}
#contact-btn {
    background-color: var(--main-color);
    color: var(--bg-color);
    padding: 1.07rem 2.2rem;
    border-radius: 2rem;
    font-size: 1.8rem;
    font-weight: 600;
    border: none;
    cursor: pointer;
    transition: 0.3s ease-in-out;
}
#contact-btn:hover {
    background-color: var(--bg-color);
    color: var(--main-color);
    box-shadow: 0 0 25px var(--main-color);
    transform: scale(1.05);
}
.footer {
    background-color: var(--second-color);
    padding: 50px 0;
    height: auto;
}
.footer .social-icons{
    text-align: center;
}
.footer ul{
    text-align: center;
    font-size: 1.5rem;
}
.footer ul li {
    display: inline-block;
    margin: 20px;
}
.footer ul li a {
    color: var(--text-color);
    border-bottom: 3px solid transparent;
    transition: 0.3s ease-in-out;
}
.footer ul li a:hover {
    border-bottom: 3px solid var(--main-color);
}
.copyright {
    text-align: center;
    font-size: 1.5rem;
    color: var(--text-color);
    margin-top: 20px;
}
@media (max-width: 768px) {
    #menu-icon {
        display: block;
    }
    #close-icon {
        display: none;
    }
    .navbar {
        position: absolute;
        top: 100%;
        left: 50%;
        width: 36%;
        padding: 1rem 3rem;
        background: rgba(0, 0, 0, 0.8);
        border-radius: 2rem;
        border-left: 2px solid var(--main-color);
        border-right: 2px solid var(--main-color);
        display: none;
    }
    .navbar a {
            display: block;
            font-size: 2rem;
            margin: 2rem 0;
            color: var(--text-color);


    }
    .navbar.active {
        display: block;
    }
    .home {
        flex-direction: column-reverse;
        margin: 5rem 0;
        gap: 5rem;
    }
    .home-content {
        align-items: center;
        text-align: center;
    }
    .home-image img {
        width: 50vw;
    }
    .about {
        flex-direction: column-reverse;
        text-align: center;
    }
    .about h2 {
        text-align: center;
        margin: 2rem 0;
    }
    .about img{
        width: 48vw;
    }
    .contact-form{
        flex-direction: column;
        gap: 1rem;
        
    }

}